import { CommandService } from './command.service';

export abstract class ActionHandler<T = any> {
  constructor(readonly action: string) {}
  abstract handler(data: T, service?: CommandService): Promise<T>;
}
